// ID:key, Time:时间, GoldNumber:金币数量, Primary:初级加成, Senior:高级加成

export default class M_OnlineRewards {
  private static data =
      {"1":{"ID":1,"Time":1,"GoldNumber":1000,"Primary":1000,"Senior":3000}

      ,"2":{"ID":2,"Time":4,"GoldNumber":2500,"Primary":3000,"Senior":5000}

      ,"3":{"ID":3,"Time":5,"GoldNumber":3000,"Primary":4000,"Senior":6000}

      ,"4":{"ID":4,"Time":5,"GoldNumber":4500,"Primary":6000,"Senior":9000}

      ,"5":{"ID":5,"Time":15,"GoldNumber":8000,"Primary":10000,"Senior":16000}

      ,"6":{"ID":6,"Time":30,"GoldNumber":11000,"Primary":13000,"Senior":25000}

      }// ID:key, Time:时间, GoldNumber:金币数量, Primary:初级加成, Senior:高级加成


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}